net.snowflake.client.jdbc.telemetryOOB

## Enum TelemetryService.TELEMETRY_SERVER_DEPLOYMENT

- java.lang.Object
- - java.lang.Enum<TelemetryService.TELEMETRY_SERVER_DEPLOYMENT>
  - - net.snowflake.client.jdbc.telemetryOOB.TelemetryService.TELEMETRY_SERVER_DEPLOYMENT

All Implemented Interfaces:
  Serializable, Comparable<TelemetryService.TELEMETRY_SERVER_DEPLOYMENT>

Enclosing class:
  TelemetryService

    public static enum TelemetryService.TELEMETRY_SERVER_DEPLOYMENT
    extends Enum<TelemetryService.TELEMETRY_SERVER_DEPLOYMENT>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEV`
`PREPROD2`
`PROD`
`QA1`
`REG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getApiKey()`
`String` `getName()`
`String` `getURL()`
`void` `setURL(String url)`
`static TelemetryService.TELEMETRY_SERVER_DEPLOYMENT` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TelemetryService.TELEMETRY_SERVER_DEPLOYMENT[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEV

    public static final TelemetryService.TELEMETRY_SERVER_DEPLOYMENT DEV

#### REG

    public static final TelemetryService.TELEMETRY_SERVER_DEPLOYMENT REG

#### QA1

    public static final TelemetryService.TELEMETRY_SERVER_DEPLOYMENT QA1

#### PREPROD2

    public static final TelemetryService.TELEMETRY_SERVER_DEPLOYMENT PREPROD2

#### PROD

    public static final TelemetryService.TELEMETRY_SERVER_DEPLOYMENT PROD

### Method Detail

#### values

    public static TelemetryService.TELEMETRY_SERVER_DEPLOYMENT[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TelemetryService.TELEMETRY_SERVER_DEPLOYMENT c : TelemetryService.TELEMETRY_SERVER_DEPLOYMENT.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TelemetryService.TELEMETRY_SERVER_DEPLOYMENT valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getURL

    public String getURL()

#### getName

    public String getName()

#### getApiKey

    public String getApiKey()

#### setURL

    public void setURL(String url)